/*
 * TempMeasurment.h
 *
 * Created: 06.12.2013 16:50:05
 *  Author: Philipp
 */ 


#ifndef TEMPMEASUREMENT_H_
#define TEMPMEASUREMENT_H_

#include <stdint.h>

#define CHAN_COUNT 8
extern uint16_t ADC_Vals[CHAN_COUNT];
extern uint16_t ResistorVals[CHAN_COUNT-2];
extern int16_t TempVals[CHAN_COUNT-2];

extern uint8_t CurrentChannel;
extern uint8_t SampleCount;
extern uint16_t ReadVal;
extern uint16_t ADCRaw;	
	
#define TEMP_MIN -501

#define TEMP_MAX 3501
//#define TEMP_MAX 4001 //Messung ohne Widerstand ergibt ca. 390C; Daher muss ein Temp Max darunter gewhlt werden.

void InitTempMeasurement();
void DoTempMeasurement();

#endif /* TEMPMEASURMENT_H_ */